﻿// reference http://www.codeproject.com/KB/aspnet/test-with-vs-devserver-2.aspx
// Date: Oct 02 2010
// Author: Sky Sanders (http://skysanders.net/subtext)
// License: public domain - attribution and link love appreciated

// If Visual Studio development server serves your needs capably, this is the leanest
// self hosting server around.

// For a more robust development server see http://cassinidev.codeplex.com

using System.Net;
using NUnit.Framework;

namespace Salient.Excerpts
{

    /// <summary>
    /// This is an example of leveraging the core of the Visual Studio
    /// 2008/2010 devleopment server, WebDev.WebHost to provide an in
    /// process ASP.NET web server for testing purposes.
    /// </summary>
    [TestFixture]
    public class WebHostServerFixture : WebHostServer
    {
        [TestFixtureSetUp]
        public void TestFixtureSetUp()
        {
           
#if NET2FX2
            const string site="TestSite.Fx20Vs08";
#endif

#if NET4FX4
            const string site="TestSite.Fx40Vs10";
#endif

            StartServer(@"..\..\..\" + site);

            // is the equivalent of
            // StartServer(@"..\..\..\TestSite",
            //    GetAvailablePort(8000, 10000, IPAddress.Loopback, true), 
            // "/", "localhost");
        }
        


        [Test]
        public void Test()
        {
            // NormalizeUrl simply builds an absolute url with the configured port,
            // thus obviating the need to manage ports and letting the fixture find
            // an available port.

            string html = new WebClient().DownloadString(NormalizeUri("Default.aspx"));
        }
    }
}